<template>
  <div class="container-fluid page">
    <div class="row ">
      <div class="col-sm-12 p-2 bg-ejima-header">
        <!-- <span class="col-sm-3 mx-2 c-pointer fa-pull-right">About</span> -->
        <span class="mx-4 c-pointer fa-pull-right" @click="goToAuth">Connexion</span>
      </div>
      <div class="col-sm-4 pt-5"></div>
      
      <div v-if="isLoading" class="text-center col-sm-4 bg-white my-5 p-4">
        <vue-loaders class="p-5" name="ball-beat" color="#fa8357" scale="2"></vue-loaders>
      </div>
      <div v-else class="row  p-2">

        <!-- Sign In -->
        <div v-if="currentStep==0" class="col-sm-5 mx-auto my-5 p-4 bg-white card">
          <h2 class="text-primary text-center mb-3">Soumettre mon article</h2>
          <div class="alert alert-danger" v-if="errorMessage.length > 0">{{errorMessage}}</div>

          <form :class=" toCheckSubmit ? 'was-validated' : ''" @submit="createArticle">
            <div class="form-group">
              <label for="doc" class="mt-2 text-primary2">Email address</label>
              <input type="email" class="form-control" v-model="article.email" required 
              placeholder="Enter email">
              <div class="invalid-feedback">
                Enter your email address!
              </div>
            </div>

            <div class="form-group">
              <!-- <div class="col-12"> -->
                <label class="mt-2 text-primary2" for="">Choisir un fichier</label>
                <input type="file" accept=".docx,.pdf,.doc,.ppt,.pptx,.txt" 
                  class="form-control form-control-min" ref="myFile" required
                  @change="(e) => handleFileUpload(e)"/>

                <div class="invalid-feedback">
                  Enter your article!
                </div>
              <!-- </div> -->
            </div>

            <div class="form-group text-center" @click="toCheckSubmit=true">
              <input type="submit" class="btn btn-primary mt-4 col-sm-12" value="Soumettre">
            </div>

          </form>
        </div>
        <div v-if="currentStep==1" class="text-center my-5 p-4">
          <h2 class="m-5 text-primary">Soumission éffectuée avec succès</h2>
          <span @click="goToPrevious" class="btn btn-secondary">
            Ok
          </span>
        </div>
        
      </div>
    </div>
  </div>
</template>

<script>
// import CryptoJS from 'crypto-js';
// const CryptoJS = require("crypto-js");

export default {
  data(){
    return {

      article: {
        email: 'bchryzal@gmail.com',
        // docname: ''
      },
      
      email: '',
      errorMessage: '',
      currentStep: 0,
      importFiles: '',
      
      toCheckSubmit: false,
      toCheckRegister: false,
      toCheckForgotPwd: false,
      isLoading: false,

      inputPwd: true,
      inputPwd2: true,

    }
  },
  mounted(){
    this.currentStep = 0;
    // this.init();
    // this.test();
  },
  methods: {
    init(){
      if(localStorage.getItem('token') && localStorage.getItem('token').length > 20 ){
        // this.$alertify.success('Vous êtes déjà connecté ');
        this.next();
        console.log("Our token", localStorage.getItem('token'));
      }

    },
    goToPrevious(){
      this.currentStep =0;
    },
    createArticle(e){
      e.preventDefault();
      this.isLoading = true;

      let formData = new FormData();
      formData.append("doc", this.importFiles);
      formData.append("email", this.article.email);

      this.$service.postWithFile('articles/createWithFile', formData, (data) => {
        this.isLoading=false;
        console.log("Response : ",data);

        if(data.status == 200){
          this.errorMessage = '';

          this.article = {
            email: '',
          }
          this.toCheckSubmit = false;
          this.currentStep=1;
          
          // this.didSubmit = true;

          // if(data.sendmail && data.sendmail==true){
          //   this.$alertify.alert('Soumission effectuée avec succès!', 
          //     `Nous venons de vous envoyer un mail de confirmation de compte. Veuillez Consulter votre 
          //     boite mail pour finaliser votre inscription. Merci`
          //   );
          // }
          // this.$alertify.success('Inscripton éffectuée. Veuillez vous connecter!');
        } else {
          return this.errorMessage = data.message;
        }

      });
      

    },
    handleFileUpload(e) {
      e.preventDefault();

      this.importFiles = this.$refs.myFile.files[0];
      this.$forceUpdate();
    },
    next(){
      this.$router.push({ path: '/home' });
    },
    goToAuth(){
      this.$router.push({ path: '/auth' });
    }
  }
  
}
</script>


<style scoped >

  .form-group .text-primary2 {
    font-weight: 800;
    margin: 4px 1px;

  }

</style>